;--------------------------------------------------------------------------------------------------
;-------------------------------------------ThermoLib----------------------------------------------
;-------------------------------By Lucien Dos Santos Farret(LuciDs)--------------------------------
;	11/08/12
;Goal:					Get the temperature and store it in Ans
;Hardware needed:		A FM75 digital temperature sensor wired to the linkport	SDA --> Tip (bit 0)
;																				SCL --> Ring(bit 1)
;HowToUseIt:			0:asm(prgmTHERMOL) Put the Temperature in Ans
;						1:asm(prgmTHERMOL) Power On  the FM75
;						3:asm(prgmTHERMOL) Power Off the FM75
;						If ThermoL cannot communicate with the component, it will put 666 in Ans
;  
;---Constants:
.binarymode 			TI8X
.variablename 			THERMOL
.nolist
#include 				"ti83plus.txt"
.list
;--------------------------------------------------------------------------------------------------
;-------------------------------------------Header-------------------------------------------------
.org					$9D93
.db						t2ByteTok, tAsmCmp

ThermoLib_Start:
						di
						Bcall(_RclAns)
						Bcall(_ConvOP1)
						rra
						jr			c,ThermoLib_SetOnOff
						
						call		FM75_GetRawTemperature
						jr			c,		ThermoLib_Error
						call		FM75_ConvertRawTempToCelcius
						Bcall(_StoAns)
						
						ret

ThermoLib_SetOnOff:
						rra
						call		FM75_SetConfig
						;jr			c,		ThermoLib_Error
						ret nc
ThermoLib_Error:
						ld			hl,		666
						Bcall(_SetXXXXOP2)
						Bcall(_OP2ToOP1)
						Bcall(_StoAns)
						
						ret
						
#include				"FM75_Routines.asm"